<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html">
<body>
<ui:composition>
    <div class="list-group">
        <h:outputLink id="dashboard"
                      value="#{request.contextPath}/#{languageBean.lang}"
                      title="#{msg['leftmenu.dashboard.global']}"
                      styleClass="list-group-item languageSelect"
                      data-intro="#{msg['dashboard.heading']}">
            <span class="glyphicon glyphicon-globe" aria-hidden="true"/>
            <h:outputText value=" #{msg['leftmenu.dashboard.global']}"/>
        </h:outputLink>
        <h:outputLink id="cataloguesLink"
                      value="#{request.contextPath}/#{languageBean.lang}/catalogues"
                      title="#{msg['leftmenu.catalogues']}"
                      styleClass="list-group-item languageSelect"
                      data-intro="#{msg['leftmenu.help.catalogselection']}">
            <span class="glyphicon glyphicon-book" aria-hidden="true"/>
            <h:outputText value=" #{msg['leftmenu.catalogues']}"/>
        </h:outputLink>
        <h:outputLink id="reportLink"
                      value="#{request.contextPath}/#{languageBean.lang}/reports"
                      title="#{msg['hf.downloadreport']}"
                      styleClass="list-group-item languageSelect"
                      data-intro="#{msg['hf.downloadreport']}">
            <span class="glyphicon glyphicon-save" aria-hidden="true"/>
            <h:outputText value=" #{msg['hf.downloadreport']}"/>
        </h:outputLink>
    </div>

    <h:panelGroup layout="block" class="list-group" rendered="#{not empty currentCatalogBean.catalogName}">
        <h:outputLink id="catalogueDashboardLink"
                      value="#{request.contextPath}/#{languageBean.lang}/catalogue/#{currentCatalogBean.catalogName}"
                      title="#{msg['catalog.dashboard.title']}"
                      styleClass="list-group-item" data-intro="#{msg['catalog.dashboard.introduction']}">
            <span class="glyphicon glyphicon-stats" aria-hidden="true"/>
            <h:outputText value=" #{msg['catalog.dashboard.title']}"/>
        </h:outputLink>
        <h:outputLink id="distributionsLink"
                      value="#{request.contextPath}/#{languageBean.lang}/catalogue/#{currentCatalogBean.catalogName}/distributions"
                      title="#{msg['common.distributions']}"
                      styleClass="list-group-item" data-intro="#{msg['leftmenu.help.distributions']}"
                      disabled="#{currentCatalogBean.affectedDatasetsWithDistributionIssues eq 0}">
            <span class="glyphicon glyphicon-link" aria-hidden="true"/>
            <h:outputText value=" #{msg['common.distributions']}"/>
            <span class="badge"
                  title="#{msg['common.affacteddatasets']}">#{currentCatalogBean.affectedDatasetsWithDistributionIssues}</span>
        </h:outputLink>
        <h:outputLink id="violationsLink"
                      value="#{request.contextPath}/#{languageBean.lang}/catalogue/#{currentCatalogBean.catalogName}/violations"
                      title="#{msg['common.violations']}"
                      styleClass="list-group-item" data-intro="#{msg['leftmenu.help.violations']}"
                      disabled="#{currentCatalogBean.affectedDatasetsWithViolationIssues eq 0}">
            <span class="glyphicon glyphicon-flash" aria-hidden="true"/>
            <h:outputText value=" #{msg['common.violations']}"/>
            <span class="badge"
                  title="#{msg['common.affacteddatasets']}">#{currentCatalogBean.affectedDatasetsWithViolationIssues}</span>
        </h:outputLink>
    </h:panelGroup>

</ui:composition>
</body>
</html>
